server:
  port: 10683

spring:
  application:
    name: account-service
  profiles:
    active: dev
  config:
    import: 
      - optional:classpath:/
  main:
    allow-circular-references: true
  jpa:
    show-sql: true
  cloud:
    consul:
      host: consul-server-0.consul-server.consul.svc.cluster.local
      port: 8500
      discovery:
        register-health-check: false
        prefer-ip-address: true
        acl-token: 85f3d9fd-0447-8826-99fd-26ef4d9283f1
      
seata:
  enabled: true
  tx-service-group: default_tx_group
  service:
    vgroup-mapping:
      default_tx_group: default
  registry:
    type: consul
    consul:
      cluster: default
      server-addr: ${spring.cloud.consul.host}:${spring.cloud.consul.port}
      acl-token: ${spring.cloud.consul.discovery.acl-token}
      
opcal:
  cloud:
    web:
      servlet:
        request-id: true
    log:
      servlet:
        request: true
      